=== debian/changelog ===
ros-noetic-aques-talk (2.1.28-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sun, 23 Jul 2023 15:00:00 -0000

ros-noetic-aques-talk (2.1.27-1focal) focal; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Kei Okada <kei.okada@gmail.com>  Fri, 23 Jun 2023 15:00:00 -0000

ros-noetic-aques-talk (2.1.26-1focal) focal; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Kei Okada <kei.okada@gmail.com>  Tue, 13 Jun 2023 15:00:00 -0000

ros-noetic-aques-talk (2.1.25-1focal) focal; urgency=high

  * [aques_talk] build as x86 when dpkg cpu check fails (#387 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/387>)
  * GithubAction: add test for  aarch64(melodic) / indigo (arm64) (#365 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/365>)
  * Contributors: Aoi Nakane, Kei Okada, Naoto Tsukamoto, Shingo Kitagawa, Yoshiki Obinata

 -- Kei Okada <kei.okada@gmail.com>  Wed, 07 Jun 2023 15:00:00 -0000

ros-noetic-aques-talk (2.1.24-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sun, 25 Jul 2021 15:00:00 -0000

ros-noetic-aques-talk (2.1.23-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 20 Jul 2021 15:00:00 -0000

ros-noetic-aques-talk (2.1.22-1focal) focal; urgency=high

  * Ignore charactors which AquesTalk2 cannot recognize (#257 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/257>)
    
      * Update README on limitation
      * Delete certain characters when they come at the beginning of a sentence
      * fixed character replacement
      * Update README
      * Support Katakana
      * All charactors except [^a-zA-Z0-9ぁ-んー、。?？] are removed
      * Ignore charactors which AquesTalk2 cannot recognize
      * Add documentation path to README
    
  * add sound_play_topic  and sound_play_node_name argument (#227 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/227>)
  * Add build procedure for aques_talk (#236 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/236>)
  * Replace numbers in text file for aques_talk to speak numbers (#229 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/229>)
    
      * Update README about input limitation
      * Replace alphabet for aques_talk
      * Use regular expression [0-9]+ instead of [0-9][0-9]*
    
  * [aques_talk] catkinie aques_talk package (#224 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/224>)
  * Contributors: Kei Okada, Naoya Yamaguchi, Ayaka Fujii, Koki Amabe

 -- Kei Okada <kei.okada@gmail.com>  Wed, 09 Jun 2021 15:00:00 -0000

ros-noetic-aques-talk (2.1.21-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 18 Aug 2020 15:00:00 -0000

ros-noetic-aques-talk (2.1.20-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 06 Aug 2020 15:00:00 -0000

ros-noetic-aques-talk (2.1.19-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 20 Jul 2020 15:00:00 -0000

ros-noetic-aques-talk (2.1.18-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sun, 19 Jul 2020 15:00:00 -0000

ros-noetic-aques-talk (2.1.17-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 16 Apr 2020 12:51:00 -0000

ros-noetic-aques-talk (2.1.16-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 16 Apr 2020 06:21:00 -0000

ros-noetic-aques-talk (2.1.15-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Wed, 11 Dec 2019 15:00:00 -0000

ros-noetic-aques-talk (2.1.14-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Wed, 20 Nov 2019 15:00:00 -0000

ros-noetic-aques-talk (2.1.13-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 09 Jul 2019 15:00:00 -0000

ros-noetic-aques-talk (2.1.12-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Fri, 24 May 2019 15:00:00 -0000

ros-noetic-aques-talk (2.1.11-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 28 Aug 2018 15:00:00 -0000

ros-noetic-aques-talk (2.1.10-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 24 Apr 2018 15:00:00 -0000

ros-noetic-aques-talk (2.1.9-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 23 Apr 2018 15:00:00 -0000

ros-noetic-aques-talk (2.1.8-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 16 Apr 2018 15:00:00 -0000

ros-noetic-aques-talk (2.1.7-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sun, 08 Apr 2018 15:00:00 -0000

ros-noetic-aques-talk (2.1.6-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 20 Nov 2017 15:00:00 -0000

ros-noetic-aques-talk (2.1.5-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sun, 19 Nov 2017 15:00:00 -0000

ros-noetic-aques-talk (2.1.4-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sat, 15 Jul 2017 15:00:00 -0000

ros-noetic-aques-talk (2.1.3-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 06 Jul 2017 15:00:00 -0000

ros-noetic-aques-talk (2.1.2-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Wed, 05 Jul 2017 15:00:00 -0000

ros-noetic-aques-talk (2.1.1-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 04 Jul 2017 15:00:00 -0000

ros-noetic-aques-talk (2.1.0-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sat, 01 Jul 2017 15:00:00 -0000

ros-noetic-aques-talk (2.0.20-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 08 May 2017 15:00:00 -0000

ros-noetic-aques-talk (2.0.19-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 21 Feb 2017 15:00:00 -0000

ros-noetic-aques-talk (2.0.18-1focal) focal; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 27 Oct 2016 15:00:00 -0000


